<template>
  <div class="form-group">
    <label :for="`${group}-${fieldKey}`">
      {{ label }}
      <span v-if="required" class="required">
        *
      </span>
    </label>
    <input
      v-if="type === 'string'"
      type="text"
      class="form-control"
      :id="`${group}-${fieldKey}`"
      :aria-describedby="label"
    />
    <textarea
      v-if="type === 'free_text'"
      type="text"
      class="form-control"
      :id="`${group}-${fieldKey}`"
      :aria-describedby="label"
    >
    </textarea>
  </div>
</template>

<script>
export default {
  name: 'Field',
  props: {
    fieldKey: String,
    label: String,
    group: String,
    max_length: {
      type: Number,
      required: false,
      default: 0,
    },
    min_length: {
      type: Number,
      required: false,
      default: 0,
    },
    required: {
      type: Boolean,
      required: false,
      default: false,
    },
    pattern: {
      type: String,
      required: false,
    },
    type: String,
  },
}
</script>

<style scoped>
  .required {
    color: red;
  }
</style>